View Issue Details

IDProjectCategoryView StatusLast Update
0001418WishesUser Menupublic2013-02-03 00:33
ReporterMaximus Assigned Tovskirdin  
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Platformx86OSWindows 
Product Version2.0 
Fixed in Version2.0 
Summary0001418: Реакция VMenu на RClick аналогично диалогам
DescriptionСмущает различие реакции на правый клик мышкой в диалогах и меню (клик ЗА пределами диалога/меню).
Меню просто закрывается (как отмена), а диалог закрывается "с подтверждением".
Кажется логичным и в меню при закрытии правой кнопкой "выполнять" активный пункт.

http://forum.farmanager.com/viewtopic.php?f=3&t=5487
TagsNo tags attached.
Build1806

Activities

Maximus

2010-06-26 12:58

reporter  

vmenu100626.diff.7z (499 bytes)

DrKnS

2010-06-26 13:33

administrator   bugnote:0005494

В меню сейчас как раз сделано нормально, ибо выполнять что-либо кроме "отмены" по кликам вне меню - сугубо деструктивное и нестандартное поведение интерфейса.
И если в диалогах это "чудо" ещё отключается, то опции в патче я не вижу.

Maximus

2010-07-07 11:19

reporter   bugnote:0005553

ОК, делаю настройку реакции меню на кнопки мышки.
г=================== Menu settings ===================¬
¦ Left mouse click outside a menu ¦
¦ Cancel menu v¦
¦ Right mouse click outside a menu ¦
¦ Execute selected item v¦
¦ Middle mouse click outside a menu ¦
¦ Do nothing v¦
¦-----------------------------------------------------¦
¦ { OK } [ Cancel ] ¦
L=====================================================-
Два вопроса.
1. Какие умолчания лучше сделать? Так, как работает
фар изначально (LClick=Cancel,RClick=Cancel,MClick=Apply),
или все-таки а'ля диалог (LClick=Cancel,RClick=Apply,MClick=Ignore).
2. В принципе, аналогичную настройку/переделку можно сделать
и для диалога?

Maximus

2010-07-07 21:59

reporter  

100707vm.diff.7z (3,176 bytes)

Maximus

2010-07-07 22:00

reporter   bugnote:0005559

100707vm.diff.7z - новый диф. добавлена настройка действия каждой кнопки мышки.
+ FarRus.hlf.m4, FarEng.hlf.m4, farlang.templ.m4

Maximus

2010-08-29 20:39

reporter  

100829vm.diff.7z (3,774 bytes)

Maximus

2010-08-29 20:46

reporter   bugnote:0005732

100829vm.diff.7z - обновленный диф для build 1661
в предыдущем варианте некорректно закрывался (по правому клику) сразу после открытия диалог "Sort by", вызываемый правым кликом из панелей.

в патч также попал
http://bugs.farmanager.com/view.php?id=1414
затронуты те же файлы

Maximus

2011-01-24 23:59

reporter   bugnote:0006238

Ну так что, в trunk доработка попадет?

vskirdin

2011-01-30 07:01

administrator   bugnote:0006275

правильно я понимаю, что решение для 0001414 тоже в этом патче?

Maximus

2011-01-30 07:18

reporter   bugnote:0006278

да

vskirdin

2011-02-01 15:15

administrator   bugnote:0006319

build 1806

Issue History

Date Modified Username Field Change
2010-06-26 12:58 Maximus New Issue
2010-06-26 12:58 Maximus File Added: vmenu100626.diff.7z
2010-06-26 13:33 DrKnS Note Added: 0005494
2010-07-07 11:19 Maximus Note Added: 0005553
2010-07-07 21:59 Maximus File Added: 100707vm.diff.7z
2010-07-07 22:00 Maximus Note Added: 0005559
2010-08-29 20:39 Maximus File Added: 100829vm.diff.7z
2010-08-29 20:46 Maximus Note Added: 0005732
2011-01-24 23:59 Maximus Note Added: 0006238
2011-01-30 07:01 vskirdin Note Added: 0006275
2011-01-30 07:18 Maximus Note Added: 0006278
2011-02-01 15:11 vskirdin Assigned To => vskirdin
2011-02-01 15:11 vskirdin Status new => assigned
2011-02-01 15:15 vskirdin Note Added: 0006319
2011-02-01 15:15 vskirdin Status assigned => feedback
2011-10-03 07:56 Maximus Status feedback => resolved
2011-10-03 08:49 vskirdin Build => 1806
2011-10-03 08:49 vskirdin Status resolved => closed
2011-10-03 08:49 vskirdin Resolution open => fixed
2011-10-03 08:49 vskirdin Fixed in Version => 2.0
2013-02-03 00:33 alexy Severity minor => feature